Bug 735021 - A redundant error warning msg appears for invalid default tester and an error warning msg missed for invalid assignee in clone multiple run page
Summary: A redundant error warning msg appears for invalid default tester and an error...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Web UI
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: June Zhang
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 08:08 UTC by Li Bin Liu
Modified: 2018-02-16 00:33 UTC (History)
8 users (show)

Fixed In Version: TCMS 3.6.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
The attachment include the 2 screen-shots of this bug. (245.71 KB, application/x-gzip)
2011-09-01 08:08 UTC, Li Bin Liu
no flags Details

Description Li Bin Liu 2011-09-01 08:08:06 UTC
Created attachment 520971 [details]
The attachment include the 2 screen-shots of this bug.

Description of problem:


Version-Release number of selected component (if applicable):
tcms-3.5.0-4

How reproducible:
100%

Steps to Reproduce:

Issue 1:
1.Enter into a plan, and click "Runs" label.
2.Choose some runs.
3.Click "Clone" label above the list.
4.Choose product, product version and build information.
5.Input a invalid default tester and check the box "Update default tester".
6.Click "Clone" button.

Actual results:
After above step 6, there is a redundant error warning message shown under the assignee field, please see the screen-shot in the attachment 'Screenshot for error of invalid default tester.png'

Expected results:
After above step 6, the redundant error warning message shown under the assignee field should not appear.

Issue 2:
1.Enter into a plan, and click "Runs" label.
2.Choose some runs.
3.Click "Clone" label above the list.
4.Choose product, product version and build information.
5.Input a invalid assignee and check the box "Update assignee".
6.Click "Clone" button.

Actual results:
After above step 6, there is an error warning message missed under the assignee field, please see the screen-shot in the attachment 'Screenshot for error of invalid assignee.png'

Expected results:
After above step 6, an error warning message should be shown under the assignee field.



Additional info:

Comment 1 jianchen 2011-11-17 03:09:40 UTC
(In reply to comment #0)
> Created attachment 520971 [details]
> The attachment include the 2 screen-shots of this bug.
> 
> Description of problem:
> 
> 
> Version-Release number of selected component (if applicable):
> tcms-3.5.0-4
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 
> Issue 1:
> 1.Enter into a plan, and click "Runs" label.
> 2.Choose some runs.
> 3.Click "Clone" label above the list.
> 4.Choose product, product version and build information.
> 5.Input a invalid default tester and check the box "Update default tester".
> 6.Click "Clone" button.
> 
> Actual results:
> After above step 6, there is a redundant error warning message shown under the
> assignee field, please see the screen-shot in the attachment 'Screenshot for
> error of invalid default tester.png'
> 
> Expected results:
> After above step 6, the redundant error warning message shown under the
> assignee field should not appear.
> 
> Issue 2:
> 1.Enter into a plan, and click "Runs" label.
> 2.Choose some runs.
> 3.Click "Clone" label above the list.
> 4.Choose product, product version and build information.
> 5.Input a invalid assignee and check the box "Update assignee".
> 6.Click "Clone" button.
> 
> Actual results:
> After above step 6, there is an error warning message missed under the assignee
> field, please see the screen-shot in the attachment 'Screenshot for error of
> invalid assignee.png'
> 
> Expected results:
> After above step 6, an error warning message should be shown under the assignee
> field.
> 
> 
> 
> Additional info:

In tcms 3.6.2, we will remove assignee in multi-runs clone page, you can assign assignee in the test runs page.

Comment 2 Xin Gao 2011-11-24 03:18:58 UTC
Verify version and result:
3.6.2 on englab --> PASSED

Actual results:
Issue 1: After above step 6, the redundant error don't appear.
Issue 2: Actually, in tcms 3.6.2, assignee field has been removed in multi-runs clone page, user can assign assignee in the test runs page.


Note You need to log in before you can comment on or make changes to this bug.